jQuery UI 1.6rc6: Help us test!

Posted on by

jQuery UI 1.6rc6 is available.

Download jQuery UI 1.6rc6
You can download the entire development bundle directly at


This includes a default theme, as well as all the test and demo files. Or you can create a customized download of individual components


and a custom theme at


This is the final step before releasing 1.6 final tomorrow (Saturday night). Since we only have two days, we really need you help us test if there are no major blockers left we might have overseen. Please create a ticket for any issue you find on the jQuery UI bug tracker:

http://dev.jqueryui.com/ (note: requires registration)

and send a note for discussion on the jQuery UI Development mailing list as well:


Thanks everyone, prepare for a great weekend!

31 thoughts on “jQuery UI 1.6rc6: Help us test!

  1. When use a datepicker in the dialogbox, calendar appears behind the dialog box. No improvement about that issue. Tested with ie7 and chrome. Both same.

  2. Lorenzo Bolognini on said:

    Yup looks very broken to me too. Actually gives a pretty nasty error on IE7 too.

  3. I just updated ThemeRoller to the new release. Sorry that update didn’t go up with it.
    I’ll check IE now, but you should be good to go in FF/Safari.

  4. hi,
    i still get the following error in firebug for the change event of ui.slider:
    “ui.values is undefined”

  5. Richie Ryan Reyes on said:

    The zip file downloaded from the ThemeRoller seems to be corrupted (using IE), so I have to try it in FF and fortunately works.

    Any ideas why it ends up corrupted in IE?

  6. Sending examples when bugs is better for the team to find out what’s wrong :)
    Can’t wait for the new release.

  7. Buttons in jQuery UI dialog are shown in the opposite order than defined. It is because of CSS: .ui-dialog .ui-dialog-buttonpane button {float: right}

  8. paulinstl on said:

    modal dialog not functioning properly in IE7 (using 1.3.1) – opacity and border are off.

  9. Adrian B on said:

    So, what happened? To many critical bugs?

    Tried to check dev.jqueryui.com but Trac just displays internal errors on most pages.

  10. it seems that there are several problems with the jquery 1.3.1 release. since i use the 1.3.1 (previously i used 1.2.6) i have many problems. it seems that there are cross-depending problems with other jquery plugins such as jgrid for example.
    Beside this, i try to use the 1.6rc6 ui, but i have also problems for example with the dialog box when i use jquery 1.2.6. in combination with 1.3.1 the dialog works fine, but many other problems occur.
    the best working combination is at the moment ui 1.6rc6 and jquery 1.2.6. Maybe some hints in my posts can help you improve this very best js library. best wishes and go on with this great work.

  11. Similar post in other groups; anyway…
    A page with many modal ui.dialogs works just fine in Firefox,
    both when the page loads and when activating the dialogs.

    IE6 and IE7, however, become painfully slow or even crash.
    And that’s before the page is finished loading. “A script on this page is causing Internet Explorer to run slowly…”
    If the page does load, the seconds tick away if you attempt to
    activate the dialog.

  12. Class animations don’t work properly in 1.6rc6 (w/ jquery1.3.1) – addClass(‘sampleClass’, 1000) actually removes the class, and does not animate. Likewise, removeClass with an animation time specified, actually adds the class, without any animation. Nor do any easings have an affect since animations are ignored.

  13. It is better to add z-index attribute into .ui-datepicker, e.g. .ui-datepicker { width: 17em; padding: .2em .2em 0; z-index: 5000;}. Otherwise, if put a date popup onto a popup panel, the date popup will be displayed behind the main popup panel.

  14. REF: UI 1.6rc6

    Crashes when dragging (and dropping) a box containing Flash becuase Flash is kept open while dragged.

    It works in 1.5.3 on IE becuase the Flash was forced to close while dragging. (shame it never worked in FireFox).

    If you would like to see our UI lush site for major computergames company please contact me via my portfolio http://www.johandesilva.co.uk/contact.asp

  15. ripter on said:

    Themeroller is broken, UI doesn’t work with the stable release, I have to use 1.6rc6 to get the demo pages to work.

  16. Jquery UI old version seems to be broken on IE7 with calander ..

    When trying to select a month or a year from the drop down it tries to open a popup for some unknown reason and doesnt also put in the left arrow (to go back a month) in the calander markup

  17. Any updates on this?? Id like to start using this on my site. Or should I start using the last version and just put this in when it comes out. Will alot change between the new version and the last version. (im new here sorry)

  18. Serg Podtynnyi on said:

    I ask you again, please make some table with information(versions) what is supported to each other.

  19. Hi,

    Accordion autoHeight property is broken for IE (i just tested on IE 6), but worked on Firefox. Any solutions??


  20. Pingback: jQuery UI 1.6rc6: Help us test! | Ajax Guru - How to Ajax